# Fixed Location Reusable Laptop Ceremony

1. Select at least two authorized operators who will be participating in the ceremony

2. Print photographs of tamper proofing of the laptop which will be used for the ceremony 

3. Make an entry into the access log, specifying the:

    * Individuals involved

    * Approximate time of entry

4. Enter the SCIF, ensuring to lock the door behind you from the inside. The room should not be accessible from the outside during a ceremony.

5. Access the laptop safe, and move the laptop, its hardware token, and polaroid to the Tamper Proofing Workstation

    * Compare the polaroid and digital photographs for any differences

    * Then compare the photographs to the actual object

    * If there are any issues detected, initiate incident response 

6. Initiate the [Secure Boot Sequence](secure-boot-sequence.md)

7. Use one of the [Coin Playbooks]() to perform actions for a given coin

    * TODO...

8. Once the ceremony is completed, use the [Sealing Procedure](tamper-evidence-methods.md#procedure) to reseal and photograph the laptop

    * Use a new SD card for taking photographs of the sealed laptop

9. Remove the SD card from the camera and use chain of custody principles to ensure the integrity of the data 

10. Place the sealed laptop and signed polaroids, as well as the hardware token back in the safe

11. Exit the SCIF and lock it

12. Update the log with the exit time

13. Upload the photos to a git repository, ensuring the commit is signed using PGP

    * TODO: add more details around how the storage of images should work

    * TODO: ensure there is a pgp doc that can be linked to (for setup and use)

---

TODO: integrate this

### Fixed Location Device

This device is intended for use in a secure facility such as a [SCIF](TODO) which has the added assurances of protecting the environment from a wide range of side-channel attacks, as well as protection from physical attacks, and more comprehensive tamper proofing controls.

The fixed location should include a work-station which makes it easy to perform the [tamper proofing](todo) procedure. This station may consist of a simple frame which holds a LED light, for consistent lightning, as well as a camera stand above it which can be used to take pictures. The camera should have an SD card that easily slides out of it so that the device doesn't leave and re-enter the room, only the SD card does.
    * TODO: this is actually not necessary for the fixed location device, but it's good to have this setup in the same facility maybe for processing/setting up the one time use laptops

The primary tamper proofing methods for the fixed location device are:

* Heads firmware protection (TODO link to document which explains how to set up Purism)

* Glitter to prevent physical access to hardware (TODO link to how to properly use glitter for tamper proofing)

* On-premises audio and visual monitoring (TODO select appropriate equipment)

* Physical vault (TODO find adequate vaults)

#### Procedure

If at any moment one of the individual has to leave, the Sealing procedure should be performed and both parties should exit the room. For prolonged sessions consider having 3 operators present in order to be able to have 1 individual leave while still having 2 witnesses present in the operating room.

##### Unsealing
* TODO (before entering room review monitoring video / audio to see if there was intrusion)
1. Ensure that there are at least 2 individuals present who are authorized present before entering the facility
2. Ensure that nobody is carrying any type of electrical device on them. To achieve this a metal detection gate or a hand-held metal detector may be used
3. Gain access to the safe, and take out a laptop which will be used for performing cryptographic actions
4. Check the screws on the bottom of the laptop to ensure that they have not been removed
4. Use the hardware token set up for that laptop in order to verify that the laptop firmware has not been tampered
5. Proceed with [booting sequence](TODO) depending on the type of action being performed

##### Sealing
1. Shut down machine
2. Remove and store the hardware token in it's appropriate location
3. Place the laptop in the safe and lock it
4. Exit the facility.